osl::rating::DropPtype Struct Reference

`#include <square.h>`

Inheritance diagram for osl::rating::DropPtype:

## Public Types

enum | { UNIT = PTYPE_MAX+1-PTYPE_PIECE_MIN + (PTYPE_MAX+1 - (PTYPE_BASIC_MIN+1)) }

## Public Member Functions

| DropPtype (Ptype p, bool d)
bool | match (Move m) const

## Static Public Member Functions

static std::string | name (Ptype ptype, bool drop)
static int | index (Move move)

## Public Attributes

Ptype | ptype
bool | drop

## Detailed Description

Definition at line 15 of file square.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
UNIT |

Definition at line 30 of file square.h.

## Constructor & Destructor Documentation

## DropPtype()

osl::rating::DropPtype::DropPtype | ( | Ptype | p,
|  | bool | d )

inline

Definition at line 19 of file square.h.

References drop, and ptype.

Referenced by osl::rating::SquareX::SquareX(), and osl::rating::SquareY::SquareY().

## Member Function Documentation

## index()

int osl::rating::DropPtype::index | ( | Move | move | ) |

inline static

Definition at line 31 of file square.h.

References index(), osl::isBasic(), osl::Move::isDrop(), osl::KING, osl::Move::ptype(), ptype, osl::PTYPE_BASIC_MIN, and osl::PTYPE_PIECE_MIN.

Referenced by osl::rating::SquareXGroup::findMatch(), osl::rating::SquareYGroup::findMatch(), and index().

## match()

bool osl::rating::DropPtype::match | ( | Move | m | ) | const

inline

Definition at line 22 of file square.h.

References drop, osl::Move::isDrop(), osl::Move::ptype(), and ptype.

Referenced by osl::rating::SquareX::match(), and osl::rating::SquareY::match().

## name()

std::string osl::rating::DropPtype::name | ( | Ptype | ptype,
|  | bool | drop )

inline static

Definition at line 26 of file square.h.

References drop, ptype, and osl::Ptype_Table.

## Member Data Documentation

## drop

bool osl::rating::DropPtype::drop

Definition at line 18 of file square.h.

Referenced by DropPtype(), match(), name(), osl::rating::SquareX::SquareX(), and osl::rating::SquareY::SquareY().

## ptype

Ptype osl::rating::DropPtype::ptype

Definition at line 17 of file square.h.

Referenced by DropPtype(), index(), match(), name(), osl::rating::SquareX::SquareX(), and osl::rating::SquareY::SquareY().

The documentation for this struct was generated from the following file:

- square.h